<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>mkdir</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Erstellt ein Verzeichnis">
<meta name="keywords"       content="SELFPHP, PHP, Verzeichnis-Funktionen, mkdir">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-07T11:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/verzeichnis_funktionen/mkdir.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-07T11:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Verzeichnis-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Verzeichnis-Funktionen</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
<td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>mkdir</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel1"><b>Beispiel1</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe1"><b>Ausgabe1</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel2"><b>Beispiel2</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe2"><b>Ausgabe2</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">int <b>mkdir</b>(string pathname, int 
      mode)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="76">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit mkdir() kann man versuchen, ein Verzeichnis (pathname) zu erstellen. 
        Dabei<br>
        k&ouml;nnen Sie ausgehend vom Skript oder dem Dokumenten-Root das Verzeichnis<br>
        erstellen.<br>
        Im Erfolgsfall wird true zur&uuml;ckgeliefert, sonst false.<br>
        Falls Sie im Parameter mode (Zugriffsrecht) einen oktalen Wert &uuml;bergeben<br>
        wollen, so denken Sie an die voranzustellende Null, welche nicht fehlen 
        darf. Bei<br>
        der Rechtevergabe kann man f&uuml;r den Eigent&uuml;mer/Owner, Gruppe/Group 
        und den<br>
        Rest der Welt/Public verschiedene Zugriffsrechte vergeben.</p>
      <p>Werte f&uuml;r mode:<br>
        Lesen/Read = r = 4<br>
        Schreiben/Write = w = 2<br>
        Ausf&uuml;hren/Execute = x = 1</p>
      <table border=0>
        <tr> 
          <td colspan="26">Rechenbeispiel:</td>
        </tr>
        <tr> 
          <td>drwxr-xrw-</td>
          <td>r</td>
          <td>+</td>
          <td>w</td>
          <td>+</td>
          <td colspan="2">x</td>
          <td>&nbsp;&nbsp;</td>
          <td>r</td>
          <td>+</td>
          <td>-</td>
          <td>+</td>
          <td colspan="2">x</td>
		  <td>&nbsp;&nbsp;</td>
          <td>r</td>
          <td>+</td>
          <td>w</td>
          <td>+</td>
          <td colspan="2">-</td>
		  <td>&nbsp;&nbsp;</td>
          <td>0756</td>
        </tr>
        <tr> 
          <td>das entspricht&nbsp;&nbsp;</td>
          <td>4</td>
          <td>+</td>
          <td>2</td>
          <td>+</td>
          <td>1</td>
          <td>=7</td>
		  <td>&nbsp;&nbsp;</td>
          <td>4</td>
          <td>+</td>
          <td>0</td>
          <td>+</td>
          <td>1</td>
          <td>=5</td>
		  <td>&nbsp;&nbsp;</td>
          <td>4</td>
          <td>+</td>
          <td>2</td>
          <td>+</td>
          <td>0</td>
          <td>=6</td>
		  <td>&nbsp;&nbsp;</td>
          <td>0756</td>
        </tr>
      </table>
      <p>&nbsp;</p>
      <table border=0>
        <tr> 
          <td colspan="5">Beispiele</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td>User&nbsp;&nbsp;</td>
          <td>Group&nbsp;&nbsp;</td>
          <td>World&nbsp;&nbsp;</td>
          <td>Oktal</td>
        </tr>
        <tr> 
          <td>drwxrwxrwx&nbsp;&nbsp;</td>
          <td>rwx</td>
          <td>rwx</td>
          <td>rwx</td>
          <td>0777</td>
        </tr>
        <tr> 
          <td>drwxr-xr-x</td>
          <td>rwx</td>
          <td>r-x</td>
          <td>r-x</td>
          <td>0755</td>
        </tr>
        <tr> 
          <td>drwx------</td>
          <td>rwx</td>
          <td>---</td>
          <td>---</td>
          <td>0700</td>
        </tr>
        <tr> 
          <td>drwxr-x---</td>
          <td>rwx </td>
          <td>r-x</td>
          <td>---</td>
          <td>0750</td>
        </tr>
        <tr> 
          <td>drwxr-xr--</td>
          <td>rwx</td>
          <td>r-x</td>
          <td>r--</td>
          <td>0754</td>
        </tr>
      </table>
      
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel1">Beispiel1</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>//Erstellt ein Verzeichnis ausgehend von der Lage<br>//des Skriptes</pre>
      <pre>&lt;?PHP
if(mkdir(&quot;php&quot;,0700)) echo &quot;Verzeichnis erstellt!&quot;;          
?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe1">Ausgabe1</a></h2>

<table width="100%" cellpadding=10 height="41">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="38">Verzeichnis erstellt!</td>
  </tr></table>


<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel2">Beispiel2</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>//Erstellt ein Verzeichnis ausgehend vom Dokumenten-Root</pre>
      <pre>&lt;?PHP
if(mkdir(&quot;/www/users/php&quot;,0700)) echo &quot;Verzeichnis erstellt!&quot;;          
?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe2">Ausgabe2</a></h2>

<table width="100%" cellpadding=10 height="41">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="38">Verzeichnis erstellt!</td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="opendir.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="opendir.html"><b>opendir</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="getcwd.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="getcwd.html"><b>getcwd</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Verzeichnis-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>